Package Details: bitcoin-unlimited-git 0.12.1-1

Git Clone URL: https://aur.archlinux.org/bitcoin-unlimited-git.git (read-only)
Package Base: bitcoin-unlimited-git
Description: Bitcoin Unlimited versions of Bitcoind, bitcoin-cli, bitcoin-tx, and bitcoin-qt, w/GUI and wallet
Upstream URL: http://www.bitcoinunlimited.info
Licenses: MIT
Conflicts: bitcoin-cli, bitcoin-daemon, bitcoin-qt, bitcoin-tx
Provides: bitcoin-cli, bitcoin-daemon, bitcoin-qt, bitcoin-tx
Submitter: uncle
Maintainer: None
Last Packager: redfish
Votes: 3
Popularity: 0.001976
First Submitted: 2015-12-28 22:17
Last Updated: 2016-11-18 22:26

Latest Comments

andre.vmatos commented on 2017-03-16 19:57

I made a "release" version, based on this package, and fixing version, repository and adding man pages as well: https://aur.archlinux.org/packages/bitcoin-unlimited/
Please, don't forget to vote if it's useful.

tuxayo commented on 2017-03-15 07:55

I wanted to fill an orphan request and not a deletion request. Sorry, I hope the package won't end up deleted :-(

edit: Is there a way to fix this?

andre.vmatos commented on 2017-03-10 20:47

@redfish, may I suggest changing to master branch instead of 0.12.1bu. The former is being updated, and got 1.0.1 released today based on this branch, while the later doesn't see a commit since 19th Jan.
Maybe this diff will help:
http://pastebin.com/ycU1Dqmi

andre.vmatos commented on 2017-02-07 00:02

@redfish, as you can see in git logs, you added miniupnpc as dep for this package on 2016-11-18, 2 weeks after my request. Before that, miniupnpc was not a dependency, and broke bitcoin-unlimited when I removed it by mistake on a -Rcs clean

redfish commented on 2017-02-06 02:58

@andre.vmatos: miniupnpc is already a dep. You need to rebuild the package, because a library package got updated on your system -- this is common with AUR packages.

andre.vmatos commented on 2016-11-03 21:54

Please, add miniupnpc as dep. Without it:
$ bitcoin-qt
bitcoin-qt: error while loading shared libraries: libminiupnpc.so.16: cannot open shared object file: No such file or directory

uncle commented on 2015-12-31 03:41

@alexei I created the package "bitcoind-unlimited-git" https://aur.archlinux.org/packages/bitcoind-unlimited-git/ which I think will satisfy your needs.

uncle commented on 2015-12-30 05:11

Thanks for the input @alexei, I will check out your suggestions :-)

alexei commented on 2015-12-30 03:59

Config steps that remained after installation, all could be automated in the PKGBUILD when you get a chance:
cd src/BitcoinUnlimited/contrib
cp debian/examples/bitcoin.conf /etc/bitcoin/
cp init/bitcoind.service /usr/lib/systemd/system/
useradd --system -U -m -d /var/lib/bitcoind bitcoin

Remove line-continuation backslash in ExecStart in bitcoind.service (?)
Set rpcuser,rpcpassword or disable RPC server in bitcoin.conf.

PS. It would be helpful to split up the gui package from the daemon package to not pull in X dependencies on headless servers. For now, for headless, edit PKGBUILD to have --with-gui=no in ./configure line (and erase qt4 dependencies).